Extension { #name : #LeTextSnippet }

{ #category : #'*MiniDocs' }
LeTextSnippet >> contentFrom: markdeepDiv [
	| sanitized |
	sanitized := markdeepDiv contentString.
	sanitized :=  sanitized allButFirst.
	sanitized := sanitized allButLast.
	self string: sanitized.
]

{ #category : #'*MiniDocs' }
LeTextSnippet >> metadata [

	^ self optionAt: 'metadata' ifAbsentPut: [ self metadataInit ]
]

{ #category : #'*MiniDocs' }
LeTextSnippet >> metadataInit [

	^ OrderedDictionary new
		  at: 'id' put: self uidString;
		  at: 'parent' put: self parentId;
		  at: 'created' put: self createTime asString;
		  at: 'modified' put: self latestEditTime asString;
		  at: 'creator' put: self createEmail asString;
		  at: 'modifier' put: self editEmail asString;
		  yourself
]

{ #category : #'*MiniDocs' }
LeTextSnippet >> options [
	^ options
]

{ #category : #'*MiniDocs' }
LeTextSnippet >> parentId [
	self parent ifNil: [ ^ self ].
	^ self parent uidString. 
]

{ #category : #'*MiniDocs' }
LeTextSnippet >> taggedWith: aString [ 
	self metadata at: 'tags' ifPresent: [  (self metadata at: 'tags') add: aString; yourself ] ifAbsentPut: [ Set new ].
	^ self metadata at: 'tags'
]
